# List all international wire transfers

**GET** `/transfers/international-wire`

Retrieve all international wire transfers under your platform.

### Query Parameters

- `bank_account_id` `string` — Filter international wire transfers by bank account ID.
- `created.gt` `date-time` — Return results where the `created_at` field is greater than this value.
- `created.gte` `date-time` — Return results where the `created_at` field is greater than or equal to this value.
- `created.lt` `date-time` — Return results where the `created_at` field is less than this value.
- `created.lte` `date-time` — Return results where the `created_at` field is less than or equal to this value.
- `ending_before` `string` — A cursor for use in pagination. `ending_before` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with `foo_ZXhhbXBsZQo`, your subsequent call can include `ending_before=foo_ZXhhbXBsZQo` in order to fetch the previous page of the list.
- `limit` `integer` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `starting_after` `string` — A cursor for use in pagination. `starting_after` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with `foo_ZXhhbXBsZQo`, your subsequent call can include `starting_after=foo_ZXhhbXBsZQo` in order to fetch the next page of the list.

**Request**

```shell
curl 'https://api.column.com/transfers/international-wire' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "transfers": [
    {
      "account_number_id": "acno_2F37RhDUnWtB4GD9JXQEDYu7YAY",
      "allow_overdraft": false,
      "amount": 17965,
      "bank_account_id": "bacc_2F37RbG3NZAr7Yn2d1i5hITz9O4",
      "beneficiary_account_number": "1234567890",
      "beneficiary_address": {
        "city": "London",
        "country_code": "GB",
        "line_1": "123 Threadneedle Street",
        "line_2": "",
        "postal_code": "EC2R 8AH",
        "state": "LND"
      },
      "beneficiary_fi": "BKENGB20",
      "beneficiary_name": "Bob Trimble",
      "charge_bearer": "SHAR",
      "charges": [
        {
          "amount": 500,
          "currency_code": "USD",
          "agent": "CLNOUS66"
        },
        {
          "amount": 500,
          "currency_code": "CNY",
          "agent": "CHASGBGLT"
        }
      ],
      "completed_at": null,
      "counterparty_id": "cpty_2ESSJPnpof38GraQR5C6EnfFGKw",
      "created_at": "2022-09-20T21:55:31Z",
      "currency_code": "USD",
      "description": "SWIFT transfer with CNY",
      "end_to_end_id": "",
      "fx_quote_id": "fxqt_2F3BY6XCpKQUy5cGCqPgLf3Kit7",
      "fx_rate": "6.872100000",
      "id": "swft_2F3BYA9aMdHag8iUtsDE8ji0KOK",
      "idempotency_key": null,
      "initiated_at": "2022-09-20T21:55:31Z",
      "instructed_amount": 123456,
      "instructed_currency_code": "CNY",
      "instruction_id": "XF7MBKI09TUNZXIL",
      "instruction_to_beneficiary_fi": "please contact with the beneficiary before releasing the funds",
      "is_incoming": false,
      "manual_review_at": null,
      "originator_account_number": "366763686659680",
      "originator_address": {
        "city": "San Francisco",
        "country_code": "US",
        "line_1": "12345 Mission St.",
        "line_2": "",
        "postal_code": "94016",
        "state": "CA"
      },
      "originator_fi": "CLNOUS66",
      "originator_name": "Alice Biden",
      "pending_submission_at": "2022-09-20T21:55:32Z",
      "raw_message": null,
      "remittance_info": {
        "general_info": "downpayment for mortgage ID 123546"
      },
      "return_reason": null,
      "returned_amount": null,
      "returned_at": null,
      "returned_currency_code": null,
      "settled_amount": 123456,
      "settled_currency_code": "CNY",
      "settlement_date": "2022-09-20",
      "status": "submitted",
      "submitted_at": "2022-09-20T21:59:16Z",
      "uetr": "d6e4313a-e186-4b21-83a5-43fa4cbaa38e",
      "ultimate_beneficiary_address": null,
      "ultimate_beneficiary_name": "",
      "ultimate_originator_address": null,
      "ultimate_originator_counterparty_id": null,
      "ultimate_originator_name": "",
      "updated_at": "2022-09-20T22:09:18Z"
    }
  ],
  "has_more": true
}
```
